macOS 10.15 update?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

macOS 10.15 update?

Denis Lorrain
Hello all,

   Is there an updated version for macOS 10.15.3 ? The version available at http://lilypond.org/macos-x.html is not compatible. System upgrades are too often a annoying source of problems...

Many thanks in advance,

   DLO
Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.15 update?

Carl Sorensen-3

Please try

 https://bintray.com/marnen/lilypond-darwin-64/download_file?file_path=lilypond-2.19.83.build20200201185223-darwin-64.tar.gz .

 

Let me know if this doesn’t work.

 

Thanks,

 

Carl

 

 

 

From: Denis Lorrain <[hidden email]>
Reply-To: Denis Lorrain <[hidden email]>
Date: Wednesday, February 5, 2020 at 9:49 AM
To: <[hidden email]>
Subject: macOS 10.15 update?

 

Hello all,

 

   Is there an updated version for macOS 10.15.3 ? The version available at http://lilypond.org/macos-x.html is not compatible. System upgrades are too often a annoying source of problems...

 

Many thanks in advance,

 

   DLO

Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.15 update?

Louis Guillaume-2
This appears to work for me. I'll continue testing. The stderr is very
chatty but that's ok because it works! Thank You :)

I'm trying to build using "pkgsrc" but it gets hung up on
"gobject-introspection". Apparently "meson/ninja" aren't playing nice
with the MacOS library arrangement at this point for some reason.

How did you get the dependencies to build?

Louis


On 2/5/20 1:27 PM, Carl Sorensen wrote:

> Please try
>
> https://bintray.com/marnen/lilypond-darwin-64/download_file?file_path=lilypond-2.19.83.build20200201185223-darwin-64.tar.gz .
>
> Let me know if this doesn’t work.
>
> Thanks,
>
> Carl
>
> *From: *Denis Lorrain <[hidden email]>
> *Reply-To: *Denis Lorrain <[hidden email]>
> *Date: *Wednesday, February 5, 2020 at 9:49 AM
> *To: *<[hidden email]>
> *Subject: *macOS 10.15 update?
>
> Hello all,
>
>     Is there an updated version for macOS 10.15.3 ? The version
> available at http://lilypond.org/macos-x.html is not compatible. System
> upgrades are too often a annoying source of problems...
>
> Many thanks in advance,
>
>     DLO
>

Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.15 update?

Carl Sorensen-3


On 2/5/20, 4:24 PM, "Louis Guillaume" <[hidden email]> wrote:

    This appears to work for me. I'll continue testing. The stderr is very
    chatty but that's ok because it works! Thank You :)
   
    I'm trying to build using "pkgsrc" but it gets hung up on
    "gobject-introspection". Apparently "meson/ninja" aren't playing nice
    with the MacOS library arrangement at this point for some reason.
   
    How did you get the dependencies to build?

I'm the wrong person to ask this question.

The work was done by Marnen Laibow-Koser.  He discusses it some on the lilypond-devel mailing list.  I suggest that you check out the lilypond-devel archives:

https://lists.gnu.org/archive/html/lilypond-devel/2020-01/msg00052.html

I'm sure that Marnen would be interested in any help you could offer him.  And he seems to be very helpful in answering questions.

HTH,

Carl